Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#1421 MoYeu

MoYeu

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 December 2008 - 10:19 AM

Bác xem thử giống ý bác chưa nhá. Mà ở đây không cần là chữ nhật. Cứ đa giác 4 cạnh là được

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;ham sap xep theo tu tu so tang dan
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


Thât tuyệt anh à, tiện cho em hỏi tý, Ví dụ Hình chữ nhật đó nằm trong 1 block thì sao nó lại không đuợc anh nhỉ!
Nếu đuợc thì tuyệt!
  • 0

#1422 LXD

LXD

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 24 December 2008 - 04:31 PM

Đây là bài toán dựng hình đơn thuần. Dựng đường phân giác của 2 đoạn thẳng không giao nhau.

Bạn làm như sau:
1. Gọi 2 đường ban đầu là màu đỏ như trong hình.
2. Copy 1 đường vào chạm đường kia (đường mới có hình màu vàng - yellow)
3. Dựng phân giác của đường ở bước 2 với đường màu đỏ (đường mới dựng màu xanh cây - green). Cách dựng đường phân giác ở đây
4. Dựng đường vuông góc với đường phân giác ở bước 3, cắt cả 2 đường màu đỏ (đường dựng mới có màu xanh trời - cyan)
5. Dựng đường thẳng song song với đường bước 3 và đi qua trung điểm của đường ở bước 4 (đường mới dựng có màu xanh biển - blue).

Hình đã gửi

Đường ở bước 5 là đường phân giác của 2 đoạn thẳng ban đầu, cách đều cả 2 đoạn thẳng đó.


Cảm ơn Bác Nguyễn Hoành đã quan tâm.

Ý của Em đúng như Bác ssg nói đấy ạ. Em sẽ post 1 mẫu ví dụ em đang phải làm. Em sẽ trình bày rõ hơn.
  • 0

#1423 LXD

LXD

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 24 December 2008 - 04:52 PM

Có lẽ bạn chưa thoả mãn với lời giải của anh Hoành. Ý bạn là lấy tim đường giao thông đúng không?
Nói chung:
1. Pline gồm nhiều đoạn thẳng và cung tròn nối tiếp nhau
2. Số segment của 2 lề đường có thể không bằng nhau

Theo ssg, bạn hãy post 1 file *.dwg mẫu lên, trong đó có vẽ vài con đường và tim đường chuẩn nhất theo cách làm (thủ công) của bạn. Lưu ý: không cần nhiều đường lắm nhưng chúng phải mang tính điển hìnhtổng quát.
Bạn đã post yêu cầu vài lần nhưng chưa có câu trả lời thoả đáng vì lý do đơn giản: bạn tiết kiệm lời quá! Hãy tìm cách diễn đạt để mọi người đều hiểu một cách chính xác. Xin nhớ rằng, người khác không phải là bạn, không thể hiểu chuyên môn, công việc bạn đang làm, cũng như ý đồ bạn muốn.


Chào Bác ssg!

http://www.cadviet.c...pfiles/Test.dwg

Đây là cái tôi cần làm. Tôi có dữ liệu đường rồi, đây là đường giao thông. Nó có thể là Polyline hoặc 3DPolyline. Bây giờ nhiệm vụ của tôi là phải vẽ Đường Tâm, càng chính xác càng tốt. Hiện tại tôi đang vẽ ở mức tương đối như thế này thôi (có nhiều loại đường tâm từ layer 9501-9506).

Công việc của tôi còn nhiều, mong Các Bác giúp đỡ.
  • 0

#1424 nguyenkhoadung98

nguyenkhoadung98

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 December 2008 - 03:27 PM

chào các bạn, mình có 1 vấn đề thế này mong các bạn giúp đỡ. số là mình hay phải gửi bản vẽ cho chủ đầu tư (để dữ bản quyền thì mình hay cho sang PDF ) nhưng mà trong 1 bản vẽ có nhiều bản nhỏ (cả trăm bản) mỗi bản phải cho sang 1 trang PDF ( nên kô dùng kô dùng phần mềm chuyển từ cad sang PDF đc, bạn nào biết cách hoặc có lisp nào có thể :
+ đặt block cho cả bản vẽ ấy rồi người khác chỉ có thể xem và in ra đc mà kô được chỉnh sử đc j. ví dụ như muốn chỉnh sửa block sẽ phải có mật khẩu như bảo vệ file vậy, kô bit có đc kô :cheers:
  • 0

#1425 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 25 December 2008 - 04:58 PM

Chào Bác ssg!

http://www.cadviet.c...pfiles/Test.dwg

Đây là cái tôi cần làm. Tôi có dữ liệu đường rồi, đây là đường giao thông. Nó có thể là Polyline hoặc 3DPolyline. Bây giờ nhiệm vụ của tôi là phải vẽ Đường Tâm, càng chính xác càng tốt. Hiện tại tôi đang vẽ ở mức tương đối như thế này thôi (có nhiều loại đường tâm từ layer 9501-9506).

Công việc của tôi còn nhiều, mong Các Bác giúp đỡ.

Cho trước 2 đường 3DPolyline, cái gọi là "đường tâm" của 2 đường này là một đường như thế nào? Lẽ ra bạn phải định nghĩa, mô tả về nó một cách chính xác chứ không thể nói chung chung được. Hiểu đúng định nghĩa mới có thể xây dựng thuật giải đúng cho chương trình.

Tạm thời, bạn dùng thử chương trình dưới đây. Tên lệnh VTD:

http://www.cadviet.c...es/TimDuong.zip

Diễn giải:
Cho trước 2 lề đường, là 2 đối tượng 3DPolyline. Chương trình hoạt động như sau (các ký hiệu xem minh hoạ trong bản vẽ kèm theo):
1. User chọn lề đường 1, gọi là đường C1. Chọn lề đường 2, gọi là C2
2. User tuỳ chọn số đoạn chia n. Mặc định là <50>, nếu chấp nhận chỉ cần Enter
3. Chương trình chia C1 ra thành n đoạn có chiều đài bằng nhau bằng các điểm chia P1
4. Xét 1 điểm P1 nào đó. Chương trình tự xác định được 1 điểm P2 thuộc C2, sao cho khoảng cách P1P2 cực tiểu
5. Lấy trung điểm PM của P1P2. Tập hợp các điểm PM chính là đường tâm của con đường, được thể hiện bằng 3DPolyline

Lưu ý:
1. C1 và C2 phải có chiều dài "xem xem" nhau. Nếu chênh lệch một cách bất thường, kết quả sẽ giảm độ chính xác. Trường hợp bất đắc dĩ, phải chọn lề đường ngắn hơn trước (lề đường 1)
2. Mỗi lần chạy lệnh, chương trình chỉ thực hiện với 1 cặp đường 3Dpolyline nên không xử lý được tại các vị trí giao lộ. Bạn phải làm thủ công bổ sung các chỗ này.
3. Nếu kết quả chạy chương trình chưa đúng ý, bạn phải mô tả chính xác "cái gọi là đường tâm" như đã nói trên, cũng như các yêu cầu cụ thể mà bạn muốn, ssg sẽ sửa chương trình lại. Tuy nhiên, xin nói trước, ssg sẽ không làm lại lần thứ 3!
  • 0

#1426 LXD

LXD

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 26 December 2008 - 10:27 AM

Cảm ơn Bác ssg. Em sẽ thử ngay.
  • 0

#1427 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 26 December 2008 - 04:23 PM

Bạn có thể post yêu cầu về autolisp ở topic này.

Bác Hoành ơi cho em xin 1 cái lip : ví dụ trên bản vẽ của mình có 10 loại hatch khác nhau thì khi ra lệnh nó sẻ tạo ra 10 layẻ cùng tên hoặc khác tên với tên của hatch và gán cho mỗi loại hatch 1 layẻ đó được ko, cám ơn.
  • 0

#1428 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 26 December 2008 - 06:03 PM

Bác Hoành ơi cho em xin 1 cái lip : ví dụ trên bản vẽ của mình có 10 loại hatch khác nhau thì khi ra lệnh nó sẻ tạo ra 10 layẻ cùng tên hoặc khác tên với tên của hatch và gán cho mỗi loại hatch 1 layẻ đó được ko, cám ơn.


Lệnh là H2L (Hatch to Layer)

(defun c:h2l( / s g o n)
(setq
s (ssget '((0 . "HATCH")))
)
(while (setq e (ssname s 0))
(setq
g (entget e)
o (assoc 8 g)
n (cons 8 (cdr (assoc 2 g)))
g (subst n o g)
s (ssdel e s)
)
(entmod g)
)
)

  • 0

#1429 goodfriends20041

goodfriends20041

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 December 2008 - 12:54 AM

Bạn có thể post yêu cầu về autolisp ở topic này.

bác Hoành có cái Lisp nào giúp vẽ khung nhà cao tầng và bố trí thép cho nhanh không?Lisp vẽ mặt cắt cột và dầm và Lisp giúp thống kê thép nhanh nữa!vì em chưa đọc được các Lisp đó nên nếu đã có bài viết về Lisp này rồi mong các bác thông cảm,thansk Bác nhiều!
  • 0

#1430 Mr Cuong

Mr Cuong

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 December 2008 - 01:26 AM

Em nhờ các huynh giúp mà đợi mãi không có ai chả lời. Có lẽ nào không Huynh nào giúp được đẹ sao???? :cheers: Đệ nhờ các Huynh giúp viết 1 list để đo kíh thước, yêu cầu đôn giản thôi.
Một bản vẽ của Đệ gồm rất nhiều đường line và polyne, để đo kích thước cho tất cả các đường đó thì rất lâu và tỷ mỉ. Mong các huynh giúp đệ 1 cái list để chỉ bằng 1 thao tác đệ có thể đo được tất cả các kỉch thước đó. Lưu ý kích thước Đệ cần đo là theo phương xiên.Lần trước có Huynh bảo đẹ dùng lênh Qdim nhưng nó chỉ đo theo phương vuông được thôi.Mong các Huynh giúp đẹ mới.
  • 0

#1431 jimicuong

jimicuong

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 December 2008 - 11:21 AM

Bác nào có list tính tổng chiều dài các đoạn thẳng, đoạn cong cho em xin với. Cám ơn nhiều
  • 0

#1432 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 27 December 2008 - 11:38 AM

Bác nào có list tính tổng chiều dài các đoạn thẳng, đoạn cong cho em xin với. Cám ơn nhiều

Bạn đọc ở bài viết này nhé.
http://www.cadviet.c...art=#entry45857
Chúc vui. :cheers:
  • 0

#1433 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 27 December 2008 - 02:11 PM

Em nhờ các huynh giúp mà đợi mãi không có ai chả lời. Có lẽ nào không Huynh nào giúp được đẹ sao???? :cheers: Đệ nhờ các Huynh giúp viết 1 list để đo kíh thước, yêu cầu đôn giản thôi.
Một bản vẽ của Đệ gồm rất nhiều đường line và polyne, để đo kích thước cho tất cả các đường đó thì rất lâu và tỷ mỉ. Mong các huynh giúp đệ 1 cái list để chỉ bằng 1 thao tác đệ có thể đo được tất cả các kỉch thước đó. Lưu ý kích thước Đệ cần đo là theo phương xiên.Lần trước có Huynh bảo đẹ dùng lênh Qdim nhưng nó chỉ đo theo phương vuông được thôi.Mong các Huynh giúp đẹ mới.

Bạn thử lisp này xem sao. Lệnh AD (AutoDim):

;;;-------------------------------------------------------------
(defun TBCong (x1 x2) (/ (+ x1 x2) 2)) ;;;Trung binh cong
;;;-------------------------------------------------------------
(defun MidP (p1 p2) ;;;Midpoint
(list (TBCong (car p1) (car p2)) (TBCong (cadr p1) (cadr p2)) (TBCong (caddr p1) (caddr p2)))
)
;;;-------------------------------------------------------------
(defun getVert (e / i L) ;;;Return list of all vertex from pline e
(setq i 0 L nil)
(vl-load-com)
(repeat (fix (+ (vlax-curve-getEndParam e) 1))
(setq L (append L (list (vlax-curve-getPointAtParam e i))))
(setq i (1+ i))
)
L
)
;;;-------------------------------------------------------------
(defun etype (e) (cdr (assoc 0 (entget e)))) ;;;Entity type
;;;-------------------------------------------------------------
(defun dim2p (p1 p2 s) ;;;Dimaligned 2 Point
(command "dimaligned" p1 p2 (polar (MidP p1 p2) (+ (angle p1 p2) (/ pi 2)) s))
)
;;;-------------------------------------------------------------
(defun dimLine(e s) ;;;Dimaligned Line
(dim2p (cdr (assoc 10 (entget e))) (cdr (assoc 11 (entget e))) s)
)
;;;-------------------------------------------------------------
(defun dimPline(e s) ;;;Dimaligned PLine
(setq Lp (getvert e) i 0)
(repeat (1- (length Lp))
(dim2p (nth i Lp) (nth (1+ i) Lp) s)
(setq i (1+ i))
)
)
;;;-------------------------------------------------------------
(defun C:AD( / ss s oldos e) ;;;AutoDimaligned Line & Pline
(if (not s0) (setq s0 10))
(setq
ss (ssget '((0 . "LINE,LWPOLYLINE")))
s (getdist (strcat "\nKhoang cach tu doi tuong den duong kich thuoc <" (rtos s0) ">:"))
oldos (getvar "osmode")
)
(if (not s) (setq s s0) (setq s0 s))
(setvar "osmode" 0)
(while (setq e (ssname ss 0))
(if (= (etype e) "LINE") (dimLine e s) (dimPline e s))
(ssdel e ss)
)
(setvar "osmode" oldos)
(princ)
)
;;;-------------------------------------------------------------


Lưu ý:
1. Yêu cầu của bạn nếu chỉ với Line thì có thể đơn giản, nhưng có cả Pline thì cũng khá lôi thôi khi lập trình
2. Khi dim trực tiếp, user có sự nhìn nhận tổng quát để đặt vị trí dim linh hoạt, phù hợp với nhiều tình huống khác nhau. Với chương trình thì không (hoặc khó) được như vậy vì mọi chương trình đều mang tính máy móc và cứng nhắc. Trong chương trình trên, vị trí đặt dim được áp đặt theo một kiểu duy nhất, cách đối tượng một khoảng do user nhập vào tại dòng nhắc "Khoang cach tu doi tuong den duong kich thuoc <10>:". Mặc định lần đầu là 10, các lần sau chương trình tự nhớ trị số lần trước (nếu bạn chấp nhận trị số trong dấu móc nhọn thì chỉ cần Enter). Tuy nhiên, nhược điểm cũng chính là ưu điểm, bạn cứ yên chí rằng tất cả các dim đều nằm cách đối tượng một khoảng bằng nhau, đều tăm tắp!
3. AutoDim của bất cứ chương trình nào (kể cả các trình CAD "chính quy" có tính năng này), chỉ giúp user tiết kiệm được phần lớn thời gian, nhưng sau đó thường phải edit, chỉnh sửa thêm cho phù hợp.
4. Một điều quan trọng nữa cần lưu ý, khi dùng lisp trên, các dim tạo thành không có tính năng dimassoc. Nghĩa là khi bạn edit đối tượng, dim không tự động update theo được.
  • 0

#1434 tinnhan247

tinnhan247

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 December 2008 - 03:14 PM

các pác có thể viết giúp em 1 lisp để viết chữ theo 1 đường cong bất kì với ( có thể edit được text), em cám ơn các pác nhiều :cheers:
  • 0

#1435 Mr Cuong

Mr Cuong

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 December 2008 - 11:00 PM

Bạn thử lisp này xem sao. Lệnh AD (AutoDim):


;;;-------------------------------------------------------------
(defun TBCong (x1 x2) (/ (+ x1 x2) 2)) ;;;Trung binh cong
;;;-------------------------------------------------------------
(defun MidP (p1 p2) ;;;Midpoint
(list (TBCong (car p1) (car p2)) (TBCong (cadr p1) (cadr p2)) (TBCong (caddr p1) (caddr p2)))
)
;;;-------------------------------------------------------------
(defun getVert (e / i L) ;;;Return list of all vertex from pline e
(setq i 0 L nil)
(vl-load-com)
(repeat (fix (+ (vlax-curve-getEndParam e) 1))
(setq L (append L (list (vlax-curve-getPointAtParam e i))))
(setq i (1+ i))
)
L
)
;;;-------------------------------------------------------------
(defun etype (e) (cdr (assoc 0 (entget e)))) ;;;Entity type
;;;-------------------------------------------------------------
(defun dim2p (p1 p2 s) ;;;Dimaligned 2 Point
(command "dimaligned" p1 p2 (polar (MidP p1 p2) (+ (angle p1 p2) (/ pi 2)) s))
)
;;;-------------------------------------------------------------
(defun dimLine(e s) ;;;Dimaligned Line
(dim2p (cdr (assoc 10 (entget e))) (cdr (assoc 11 (entget e))) s)
)
;;;-------------------------------------------------------------
(defun dimPline(e s) ;;;Dimaligned PLine
(setq Lp (getvert e) i 0)
(repeat (1- (length Lp))
(dim2p (nth i Lp) (nth (1+ i) Lp) s)
(setq i (1+ i))
)
)
;;;-------------------------------------------------------------
(defun C:AD( / ss s oldos e) ;;;AutoDimaligned Line & Pline
(if (not s0) (setq s0 10))
(setq
ss (ssget '((0 . "LINE,LWPOLYLINE")))
s (getdist (strcat "\nKhoang cach tu doi tuong den duong kich thuoc <" (rtos s0) ">:"))
oldos (getvar "osmode")
)
(if (not s) (setq s s0) (setq s0 s))
(setvar "osmode" 0)
(while (setq e (ssname ss 0))
(if (= (etype e) "LINE") (dimLine e s) (dimPline e s))
(ssdel e ss)
)
(setvar "osmode" oldos)
(princ)
)
;;;-------------------------------------------------------------


Lưu ý:
1. Yêu cầu của bạn nếu chỉ với Line thì có thể đơn giản, nhưng có cả Pline thì cũng khá lôi thôi khi lập trình
2. Khi dim trực tiếp, user có sự nhìn nhận tổng quát để đặt vị trí dim linh hoạt, phù hợp với nhiều tình huống khác nhau. Với chương trình thì không (hoặc khó) được như vậy vì mọi chương trình đều mang tính máy móc và cứng nhắc. Trong chương trình trên, vị trí đặt dim được áp đặt theo một kiểu duy nhất, cách đối tượng một khoảng do user nhập vào tại dòng nhắc "Khoang cach tu doi tuong den duong kich thuoc <10>:". Mặc định lần đầu là 10, các lần sau chương trình tự nhớ trị số lần trước (nếu bạn chấp nhận trị số trong dấu móc nhọn thì chỉ cần Enter). Tuy nhiên, nhược điểm cũng chính là ưu điểm, bạn cứ yên chí rằng tất cả các dim đều nằm cách đối tượng một khoảng bằng nhau, đều tăm tắp!
3. AutoDim của bất cứ chương trình nào (kể cả các trình CAD "chính quy" có tính năng này), chỉ giúp user tiết kiệm được phần lớn thời gian, nhưng sau đó thường phải edit, chỉnh sửa thêm cho phù hợp.
4. Một điều quan trọng nữa cần lưu ý, khi dùng lisp trên, các dim tạo thành không có tính năng dimassoc. Nghĩa là khi bạn edit đối tượng, dim không tự động update theo được.

Rất cảm ơn anh ssg cai nay tôt quá rùi rất cảm ơn anh nha!
  • 0

#1436 dacvien2007

dacvien2007

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 28 December 2008 - 06:14 PM

Nho Bac Hoanh, giup
Như là công việc đo đạc đất đai
Khi đo xong ta vẽ hình thửa đất
tính diện tích hình đó , thể hiện chiều dài các cạnh thửa đất
Xong nó tư động ghi các tọa độ đỉnh của hình và chiều dài qua các điểm vào bảng
http://www.cadviet.c...iles/hskttd.rar
Rat mong duoc bac giup

Bạn xem ở đây: http://www.cadviet.c...lisp-t1024.html


  • 0

#1437 tyanhCAD

tyanhCAD

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2008 - 09:33 AM

Hình đã gửi

Chào các bác. Các bác giúp em viết chương trình lisp cho hình trên với. Cám ơn các bác nhiều.
  • 0

#1438 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 December 2008 - 12:28 PM

Hình đã gửi

Chào các bác. Các bác giúp em viết chương trình lisp cho hình trên với. Cám ơn các bác nhiều.

Chào bạn tyanhcad,
Bạn có phải là dân kỹ thuật không vậy?
Bạn yêu cầu người khác làm một cái việc mà bạn không cho người ta biết đầy đủ các yêu cầu của bạn thì là đánh đố người ta à?
Cái hình vẽ của bạn thiếu kích thước tùm lum thì vẽ cái gì?
Đề nghị bạn cần nghiêm túc hơn khi post yêu cầu của mình.
Rất buồn khi phải nói những điều đơn giản này giữa những người làm kỹ thuật với nhau bạn ạ.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1439 lon ton

lon ton

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 December 2008 - 12:33 PM

Bạn có thể post yêu cầu về autolisp ở topic này.

Chào các bác.
Em đang làm ở 1 dự án Khu đô thị mới. Bọn em đang phải làm công tác ĐBGPMB nhưng các sếp lại không cho mua phần mềm mà NV phải tự làm.
Em có 1 cái khó khăn là phải làm sơ họa cho các thửa đất cần ĐBGP như file gửi kèm:
Hình đã gửi
- phải có chiều dài từng cạnh của thửa đất (nếu chiều dài được đặt trên phương của cạnh thì càng tốt)
Các bác xem có cách nào giúp em giải quyết việc pick chiều dài từng cạnh 1 cách nhanh nhất được không ạ?
Thanks!
  • 0

#1440 loiphong

loiphong

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2008 - 02:01 PM

Trên diễn đàn đã có Lips "ẩn" và "hiện" lại các đối tượng đã ẩn, xin đề xuất các cao thủ viết thêm Lips chuyển đổi qua lại giữa các đối tượng này.!
  • 0